You must pass individual tests to obtain marks.
The Mark of Duty is only given to those who pass the Trial of Duty. You must be above level 35 to take the test. To receive the Mark of Dury, go to Giran Castle Town and meet Warehouse Keeper Valkon.
The Mark of Fate is only given to those who pass the Testimony of Fate. You must be above level 37 to take the test. To take the Testimony of Fate, go to Giran Castle Town and meet Dark Elven Magister Kaira.
And finally the Mark of Witchcraft is only given to those who pass the Test of Witchcraft. You must be above level 39 to take the test. To take the Test of Witchcraft, go to the Corridor of Death and visit Orim of the Shadow.
Return